DefaultStyledDocument.SectionElement (Java Platform SE 8 )
Keywords: javax.swing.text.DefaultStyledDocument.SectionElement class
Date: 2018-03-02

javax.swing.text

## Class DefaultStyledDocument.SectionElement

- java.lang.Object
- - javax.swing.text.AbstractDocument.AbstractElement
  - - javax.swing.text.AbstractDocument.BranchElement
    - - javax.swing.text.DefaultStyledDocument.SectionElement

- All Implemented Interfaces:
    Serializable, AttributeSet, Element, MutableAttributeSet, TreeNode
  Enclosing class:
    DefaultStyledDocument

      protected class DefaultStyledDocument.SectionElement
      extends AbstractDocument.BranchElement

  Default root element for a document... maps out the paragraphs/lines contained.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.swing.text.AttributeSet

      `AttributeSet.CharacterAttribute, AttributeSet.ColorAttribute, AttributeSet.FontAttribute, AttributeSet.ParagraphAttribute`

  - ### Field Summary

    - ### Fields inherited from interface javax.swing.text.AttributeSet

      `NameAttribute, ResolveAttribute`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SectionElement()` Creates a new SectionElement.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Gets the name of the element.

    - ### Methods inherited from class javax.swing.text.AbstractDocument.BranchElement

      `children, getAllowsChildren, getElement, getElementCount, getElementIndex, getEndOffset, getStartOffset, isLeaf, positionToElement, replace, toString`

    - ### Methods inherited from class javax.swing.text.AbstractDocument.AbstractElement

      `addAttribute, addAttributes, containsAttribute, containsAttributes, copyAttributes, dump, getAttribute, getAttributeCount, getAttributeNames, getAttributes, getChildAt, getChildCount, getDocument, getIndex, getParent, getParentElement, getResolveParent, isDefined, isEqual, removeAttribute, removeAttributes, removeAttributes, setResolveParent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SectionElement

          public SectionElement()

      Creates a new SectionElement.

  - ### Method Detail

    - #### getName

          public String getName()

      Gets the name of the element.
      Specified by:
        `getName` in interface `Element`
      Overrides:
        `getName` in class `AbstractDocument.BranchElement`
      Returns:
        the name

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.